SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002808: routing editor should handle 0.0.0.0/0 as a special case in order that it is not considered local subnet - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002808Endian FirewallNetwork related (VPN, uplinks)public2010-03-31 17:482010-11-22 11:49
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.4Fixed in Version2.4 
Summary0002808: routing editor should handle 0.0.0.0/0 as a special case in order that it is not considered local subnet
Descriptionif you insert 0.0.0.0/0 explicitely as a destination network, instead of leaving it blank, 0.0.0.0/0 is considered local subnet

which causes several problems for example smtp proxy considers those destination networks as local and thus opens relay for everyone.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002809confirmed Endian Firewall smtp proxy needs configuration possibility to decide which subnets are local 

-  Notes
(0004430)
peter-endian (administrator)
2010-06-08 11:15

a field containing 0.0.0.0/0 is cleared, which means 'ANY'

- Issue History
Date Modified Username Field Change
2010-03-31 17:48 peter-endian New Issue
2010-03-31 17:48 peter-endian Status new => confirmed
2010-03-31 17:48 peter-endian Target Version => codename: angry armadillo
2010-03-31 18:02 peter-endian Issue cloned: 0002809
2010-03-31 18:02 peter-endian Relationship added related to 0002809
2010-04-06 16:21 ra-endian Issue cloned: 0002821
2010-04-06 16:21 ra-endian Relationship added child of 0002821
2010-06-07 14:21 peter-endian Status confirmed => assigned
2010-06-07 14:21 peter-endian Status assigned => new
2010-06-07 14:21 peter-endian Assigned To => peter-endian
2010-06-07 14:22 peter-endian Status new => assigned
2010-06-07 18:13 peter-endian Relationship added has duplicate 0002972
2010-06-08 11:15 peter-endian Note Added: 0004430
2010-06-08 11:15 peter-endian Status assigned => resolved
2010-06-08 11:15 peter-endian Fixed in Version => 2.4
2010-06-08 11:15 peter-endian Resolution open => fixed
2010-11-22 11:49 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker